libnvme(2)

NAME
struct nvme_mi_read_ctrl_info - Controller Information Data Structure

SYNOPSIS
struct nvme_mi_read_ctrl_info {
__u8 portid;
__u8 rsvd1[4];
__u8 prii;
__le16 pri;
__le16 vid;
__le16 did;
__le16 ssvid;
__le16 ssid;
__u8 rsvd16[16];
};

Members

portid
    Port Identifier

rsvd1
    Reserved

prii
    PCIe Routing ID Information

pri PCIe Routing ID

vid PCI Vendor ID

did PCI Device ID

ssvid
    PCI Subsystem Vendor ID

ssid
    PCI Subsystem Device ID

rsvd16
    Reserved